Subject: bug#18471: perl mode here doc colors thrown off by quote marks

From: Stefan Kangas <[email-masked]>
Date: Sat, 14 Sep 2019 14:51:09 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> The " wrecks the colors in perl mode.
>
>     my $lines = <<'HERE_TARGET';
> BLA
> #By the way this comment is not a comment so should not be highlighted
> MLA"
> ZZZ
> HERE_TARGET
>     print $lines;
>
> Single quotes would wreck it too.

I tried reproducing this on the latest version of Emacs, 26.3, but was
unable to.  The colors using both double and single quotes looked fine
to me.  The comment line looked fine as well.

Could you please try reproducing this with the latest version of
Emacs?  If you are able to do so, could you please provide a recipe
for reproducing it, starting from "emacs -Q"?

If I don't hear back in a couple of weeks, I will close this as unreproducible.

Thanks,
Stefan Kangas